/*
 * link.h -
 * 	General scheme for linking a Tcl variable to a C variable
 *	containing (Tcl_Obj *)s
 *
 * Copyright (c) 1997 Donal K. Fellows
 *
 *   Permission is granted to copy and use this file any way provided
 *   that the above copyright and this message remain unobscured in
 *   this file.  Use of this file for ANY purpose is entirely at the
 *   users own risk and no warranty of correctness or fitness for any
 *   purpose is given by the author.
 *
 * If there are errors in this file and/or if you use this code in any
 * substantial/commercial application, the author would like to know,
 * though this does not constitute part of the terms for copying and
 * usage.  As of the time of writing, the author may be reached by
 * electronic mail at either fellowsd@cs.man.ac.uk or
 * donal@ugglan.demon.co.uk with the former having a faster turnaround
 * time due to it being the author's works address.
 *
 * $Id: link.h,v 1.1 1998/11/17 11:05:47 fellowsd Exp $
 */

#ifndef DKFOBJ_LINK_H
#define DKFOBJ_LINK_H

#include <tcl.h>

EXTERN int  Dkfobj_LinkVar	   _ANSI_ARGS_((Tcl_Interp *interp,
						Tcl_Obj *varName,
						Tcl_Obj **addr,
						int read_only));
EXTERN void Dkfobj_UnlinkVar	   _ANSI_ARGS_((Tcl_Interp *interp,
						Tcl_Obj *varName));
EXTERN void Dkfobj_UpdateLinkedVar _ANSI_ARGS_((Tcl_Interp *interp,
						Tcl_Obj *varName));
#endif
